NWFSCTRL(1)

NAME
nwfsctrl - Perform server command

SYNOPSIS
nwfsctrl [ -h ] [ -S server ] [ -U user name ] [ -P password | -n ] [ -C ] [ -p ncpfs path ] -c | -o | -[f]d nwfsctrl [ -h ] [ -S server ] [ -U user name ] [ -P password | -n ] [ -C ] [ -p ncpfs path ] server command

DESCRIPTION
nwfsctrl performs command on server.

OPTIONS
-h
    With -h nwfsctrl prints a little help text.
-S server
    is the name of the server you want to use.
-U user
    user is the user name to use for login. To set the server's time, you need supervisor privileges.
-P password
    password is the password to use for login. If neither -n nor -P are given, and the user has no open connection to the server, nwfstime prompts for a password.
-n
    -n should be given if no password is required for the login. As you need supervisor privileges for setting the date and time, this option is probably not used very often.
-C
    By default, passwords are converted to uppercase before they are sent to the server, because most servers require this. You can turn off this conversion by -C.
-o
    Open bindery.
-c
    Close bindery.
-d
    Down fileserver. This command will complain if there are open files on server.
-fd
    Down fileserver, regardless of opened files.
load module options...
    Load module module with options options... on server. Program will complain if module is already loaded.
unload module
    Unload module module from server. Program will complain if module is not loaded.
mount volume
    Mount volume volume.
dismount volume
    Dismount volume volume. If there are open files on volume, server displays prompt on console. You must go to the server (or telnet/xconsole) and hit Y or N to get beyond this point).
set variable = value
    Set server settable variable variable to value value.
open bindery
    Open bindery.
close bindery
    Close bindery.
enable login
    Enable login to file server.
disable login
    Disable login to file server.
disable tts
    Disable TTS. This probably does not work on Netware 4.11.
enable tts
    Enable TTS. This probably does not work on Netware 4.11.

BUGS
Other commands are not written yet (volume, clear connection ...)

CREDITS
This utility was created by Petr Vandrovec (vandrove@vc.cvut.cz) and is part of ncpfs since 2.2.0.11.